Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
automations
/
{automation_id}
/
versions
List Automation Versions
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/versions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "automation_id": "<string>",
        "definition": {},
        "published_at": "2023-11-07T05:31:56Z",
        "published_by": "<string>",
        "version_int": 123
      },
      "id": "<string>",
      "type": "automation_versions"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required
automation_id
string
required

Query Parameters

page[after]
string | null
page[size]
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

data
AutomationVersionResource · object[]
required
meta
Meta · object
required